SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date, ,>
-- Description:	<Description, ,>
-- =============================================
CREATE FUNCTION GetFullAddress 
(
  @ID int
)
RETURNS varchar(250)
AS
BEGIN
	-- Declare the return variable here
	DECLARE @fullAddress as varchar(250)

	-- Add the T-SQL statements to compute the return value here
	SELECT @fullAddress = (
		select AddressLine1 + ' ' +
		isNull(AddressLine2, '') + ' ' +
		City + ' ' + sp.Name + ' '
		+ PostalCode
		from Person.Address a 
		inner join Person.StateProvince sp
		on a.StateProvinceID = sp.StateProvinceID
		where AddressID = @ID
	)

	-- Return the result of the function
	RETURN isNull(@fullAddress, 'NO ADDRESS AVAILABLE!')

END
GO

--drop function GetFullAddress
select dbo.GetFullAddress(4) as Address

select top 10 BusinessEntityID, AddressID,
 dbo.GetFullAddress(AddressID) as 'Full Address'
from Person.BusinessEntityAddress